%global audacious 3.10
%global _exclude_files_from_autoprov %{_libdir}/audacious/.*\\.so

Name:		audacious-plugins
Version:	4.3.1
Release:	%mkrel 2
Summary:	Audacious Media Player core plugins
Summary(de):	Kernplugins für den Audacious Mediaplayer
Source0:	%{name}-%{version}.tar.xz
License:	BSD GPLv2+
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRoot:	%{defaultbuildroot}
BuildRequires:  audacious-devel >= %{audacious}
BuildRequires:  lib64bs2b-devel
BuildRequires:  lib64cddb-devel
BuildRequires:  lib64cue-devel
BuildRequires:  lib64curl-devel
BuildRequires:  lib64dbus-glib-1_2-devel
BuildRequires:  lib64faad2-devel
BuildRequires:  lib64ffmpeg-devel
BuildRequires:  lib64flac12-devel
BuildRequires:  lib64fluidsynth-devel
BuildRequires:	gtk+3.0-devel
BuildRequires:  lib64lirc-devel
BuildRequires:  lib64mms-devel
BuildRequires:	lib64mpg123-devel
BuildRequires:  lib64neon-devel
BuildRequires:  lib64notify-devel
BuildRequires:  lib64opus-devel
BuildRequires:  lib64opusfile-devel
BuildRequires:	lib64vorbis0-devel
BuildRequires:	lib64wavpack-devel
BuildRequires:  libpthread-stubs
BuildRequires:  lib64adplug-devel
BuildRequires:  lib64sndio-devel
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	qt5multimediaquick-devel
BuildRequires:	qt5multimediagsttools-devel

Requires:	audacious >= %{audacious}
Obsoletes:	audacious-plugin-esd

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This contains the basic plugin distribution. Audacious is useless
without them.

%package -n audacious-codecs
Group:		Sound
Summary:	Install this to get all codecs for Audacious
Requires:	audacious >= %{audacious}
Requires:	%{name} >= %{version}-%{release}
Requires:	audacious-codec-cdaudio
Requires:	audacious-codec-flac
Requires:	audacious-codec-gameconsole
Requires:   audacious-codec-mp4
Requires:	audacious-codec-mpeg
Requires:	audacious-codec-oggvorbis
Requires:   audacious-codec-psf
Requires:	audacious-codec-vortex

%description -n audacious-codecs
Install this package to install all the codecs for Audacious

%package -n audacious-codec-cdaudio
Group:		Sound
Summary:	CD Audio codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-cdaudio
CD Audio codec for Audacious

%package -n audacious-codec-flac
Group:		Sound
Summary:	Free Lossless Audio codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-flac
Free Lossless Audio codec for Audacious

%package -n audacious-codec-gameconsole
Group:		Sound
Summary:	Game Console codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-gameconsole
Game Console codec for Audacious. Based on Game_Music_Emu 0.5.2.
This codec supports these file types: AY, GBS, GYM, HES, NSF
NSFE, SAP, SPC, VGM, VGZ.

%package -n audacious-codec-mp4
Group:          Sound
Summary:        MP4 codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-mp4
mp4 codec for Audacious.

%package -n audacious-codec-mpeg
Group:		Sound
Summary:	MPEG codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-mpeg
MPEG codec for Audacious.
Install this if you want to play MP3s with Audacious.

%package -n audacious-codec-oggvorbis
Group:		Sound
Summary:	Ogg Vorbis codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-oggvorbis
Ogg Vorbis codec for Audacious.

%package -n audacious-codec-psf
Group:          Sound
Summary:        PSF codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-psf
PSF codec for Audacious.

%package -n audacious-codec-vortex
Group:		Sound
Summary:	Vortex codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-vortex
Vortex codec for Audacious.

%package -n audacious-plugin-adplug
Summary:	AdLib player plugin for audacious
Group:		Sound
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.

%package -n audacious-plugin-amidi
Group:		Sound
Summary:	Amidi plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-amidi
Amidi plugin for Audacious

%package -n audacious-plugin-jack
Group:		Sound
Summary:	Audacious output plugin for the jack sound server
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-jack
Audacious audio output plugin for the jack audio
server(http://jackit.sourceforge.net).

%package -n audacious-plugin-metronome
Group:		Sound
Summary:	Metronome plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-metronome
Metronome plugin for Audacious

To use it, add a URL:
tact://beats*num/den
e.g., tact://77 to play 77 beats per minute
or tact://60*3/4 to play 60bpm in 3/4 tacts

%package -n audacious-plugin-modplug
Group:		Sound
Summary:	Modplug plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-modplug
Modplug plugin for Audacious

%package -n audacious-plugin-tonegen
Group:		Sound
Summary:	Tone generator plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-tonegen
Tone generator plugin for Audacious

To use this plugin, go to a URL:
tone://frequency1;frequency2;frequency3;..
e.g., tone://2000;2005 to play a 2000Hz tone and a 2005Hz tone

%package -n audacious-plugin-visualizations
Group:		Sound
Summary:	Visualizations for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-visualizations
Visualizations for Audacious

%package -n audacious-plugin-wavpack
Group:		Sound
Summary:	Wavpack input plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-wavpack
This is a wavpack input plugin for Audacious based on wavpack.

%package -n audacious-plugin-opus
Group:		Sound
Summary:	Opus input plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-opus
This is a opus input plugin for Audacious based on opus.


%package -n audacious-skins
Group:		Sound
Summary:	Skins for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-skins
Skins for Audacious

%prep
%setup -qn %{name}-%{version}

%build
autoreconf -fis
%configure2_5x \
	--enable-qt  \
	--enable-gtk \
	--disable-rpath \
	--disable-sid \
	--disable-soxr

%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

%clean
%__rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/audacious
%{_libdir}/audacious/Container
%{_libdir}/audacious/Effect
%{_libdir}/audacious/General
%exclude %{_libdir}/audacious/General/skins.so
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/ffaudio.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/xsf.so
%{_libdir}/audacious/Input/openmpt.so
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
%{_libdir}/audacious/Output/oss4.so
%{_libdir}/audacious/Output/pulse_audio.so
%{_libdir}/audacious/Output/sdlout.so
%{_libdir}/audacious/Transport
%{_libdir}/audacious/Output/qtaudio.so
%{_libdir}/audacious/Output/sndio-ng.so

%files -n audacious-codecs
%defattr(-,root,root)

%files -n audacious-codec-cdaudio
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/cdaudio-ng.so

%files -n audacious-codec-flac
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/flacng.so

%files -n audacious-codec-gameconsole
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/console.so

%files -n audacious-codec-mp4
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/aac-raw.so

%files -n audacious-codec-mpeg
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/madplug.so

%files -n audacious-codec-oggvorbis
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/vorbis.so

%files -n audacious-codec-psf
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/psf2.so

%files -n audacious-codec-vortex
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/vtx.so

%files -n audacious-plugin-adplug
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/adplug.so

%files -n audacious-plugin-amidi
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/amidi-plug.so

%files -n audacious-plugin-jack
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/jack-ng.so

%files -n audacious-plugin-metronome
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/metronom.so

%files -n audacious-plugin-modplug
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/modplug.so

%files -n audacious-plugin-tonegen
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/tonegen.so

%files -n audacious-plugin-visualizations
%defattr(-,root,root)
%{_libdir}/audacious/Visualization

%files -n audacious-plugin-wavpack
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/wavpack.so

%files -n audacious-plugin-opus
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/opus.so


%files -n audacious-skins
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/skins.so
%{_datadir}/audacious/Skins

%changelog
* Fri Oct 20 2023 tex - 4.3.1-2pclos2023
- rebuild against updates

* Thu May 04 2023 tex - 4.3.1-1pclos2023
- new version

* Tue Mar 28 2023 tex - 4.3-2pclos2023
- rebuild against updates

* Sat Mar 25 2023 tex - 4.3-1pclos2023
- new version

* Mon Jul 18 2022 tex - 4.2-1pclos2022
- new version

* Fri Oct 15 2021 tex - 4.1-2pclos2021
- rebuild against updates

* Tue Feb 09 2021 tex - 4.1-1pclos2021
- new version

* Sat Jul 11 2020 tex - 4.0.5-1pclos2020
- new version

* Tue Jun 02 2020 tex - 4.0.4-1pclos2020
- new version

* Fri May 01 2020 tex - 4.0.3-1pclos2020
- new version

* Wed Apr 15 2020 tex - 4.0.2-1pclos2020
- new version

* Tue Apr 07 2020 tex - 4.0.1-1pclos2020
- new version

* Tue Mar 24 2020 onkelho <oh.quait at gmail.com> - 4.0-1pclos2020
- new version-release

* Sat May 18 2019 tex - 3.10.1-2pclos2019
- rebuild against updates

